View Issue Details

IDProjectCategoryView StatusLast Update
0032437LazarusLCLpublic2018-01-11 08:38
ReporterLagunov Aleksey Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0032437: Support ttbThumbBottomPressed in ThemeServices.GetDetailSize on windows
DescriptionSupport ttbThumbBottomPressed in ThemeServices.GetDetailSize on windows
TagsNo tags attached.
Fixed in Revision56945
LazTarget-
Widgetset
Attached Files

Activities

Lagunov Aleksey

2017-09-18 13:42

reporter  

Win32Themes.diff (772 bytes)   
Index: interfaces/win32/win32themes.pas
===================================================================
--- interfaces/win32/win32themes.pas	(revision 55883)
+++ interfaces/win32/win32themes.pas	(working copy)
@@ -174,7 +174,8 @@
        Result.cx := MulDiv(12, ScreenInfo.PixelsPerInchX, 96)
     else
     if ((Details.Element = teTreeview) and (Details.Part in [TVP_GLYPH, TVP_HOTGLYPH])) or
-       ((Details.Element = teWindow) and (Details.Part in [WP_SMALLCLOSEBUTTON])) then
+       ((Details.Element = teWindow) and (Details.Part in [WP_SMALLCLOSEBUTTON])) or
+       (Details.Element = teTrackBar) then
     begin
       R := Rect(0, 0, 800, 800);
       GetThemePartSize(GetTheme(Details.Element), 0, Details.Part, Details.State, @R, TS_TRUE, Result);
Win32Themes.diff (772 bytes)   

Ondrej Pokorny

2017-09-23 20:40

developer   ~0102999

Why ttbThumbBottomPressed? I see teTrackBar.

Ondrej Pokorny

2017-10-09 09:12

developer   ~0103267

Could you please upload a simple sample project?

Lagunov Aleksey

2017-11-13 11:38

reporter   ~0104056

see test progect

Lagunov Aleksey

2017-11-13 11:38

reporter  

Ondrej Pokorny

2018-01-04 06:06

developer   ~0105306

Applied, thank you.

Issue History

Date Modified Username Field Change
2017-09-18 13:42 Lagunov Aleksey New Issue
2017-09-18 13:42 Lagunov Aleksey File Added: Win32Themes.diff
2017-09-23 20:40 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-09-23 20:40 Ondrej Pokorny Status new => assigned
2017-09-23 20:40 Ondrej Pokorny Note Added: 0102999
2017-10-09 09:12 Ondrej Pokorny Note Added: 0103267
2017-11-13 11:38 Lagunov Aleksey Note Added: 0104056
2017-11-13 11:38 Lagunov Aleksey File Added: Demo_86_DrawThemedTrackBar.rar
2018-01-04 06:06 Ondrej Pokorny Fixed in Revision => 56945
2018-01-04 06:06 Ondrej Pokorny LazTarget => -
2018-01-04 06:06 Ondrej Pokorny Status assigned => resolved
2018-01-04 06:06 Ondrej Pokorny Resolution open => fixed
2018-01-04 06:06 Ondrej Pokorny Note Added: 0105306
2018-01-11 08:38 Lagunov Aleksey Status resolved => closed